## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-h5io
Version:        0.2.4
Release:        %autorelease
Summary:        Read and write simple Python objects using HDF5

License:        BSD-3-Clause
URL:            https://github.com/h5io/h5io
Source:         %{url}/archive/h5io-%{version}/h5io-h5io-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# README.rst: ``scipy`` is required for sparse matrix IO support.
BuildRequires:  python3dist(scipy)

BuildRequires:  python3dist(pytest)
# Enables an additional integration test
BuildRequires:  python3dist(tables)

%global common_description %{expand:
h5io is a package designed to facilitate saving some standard Python objects
into the forward-compatible HDF5 format. It is a higher-level package than
h5py.}

%description %{common_description}


%package -n python3-h5io
Summary:        %{summary}

# README.rst: ``scipy`` is required for sparse matrix IO support.
Recommends:     python%{python3_version}dist(scipy)

%description -n python3-h5io %{common_description}


%prep
%autosetup -n h5io-h5io-%{version} -p1
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
sed -r -i 's/--cov[^[:blank:]"=]*(=[^[:blank:]"]*)?//g' pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l h5io


%check
%if v"0%{?python3_version}" >= v"3.13"
# “Test test_state_with_pathlib fails on Python 3.13.0a4”
# https://github.com/h5io/h5io/issues/86
#
# This appears to be a real problem, but it’s not clear what the correct fix
# is, so we might as well unblock dependent packages until upstream figures out
# what to do.
k="${k-}${k+ and }not test_state_with_pathlib"
%endif
%pytest -k "${k-}" -v


%files -n python3-h5io -f %{pyproject_files}
%doc README.rst


%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.4-2
- Enable a pytables integration test

* Tue Jul 16 2024 Packit <hello@packit.dev> - 0.2.4-1
- Update to 0.2.4 upstream release
- Resolves: rhbz#2298275

* Fri Jun 21 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.3-3
- Skip test_state_with_pathlib on Python 3.13 (close RHBZ#2264873)

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 0.2.3-2
- Rebuilt for Python 3.13

* Tue Jun 04 2024 Packit <hello@packit.dev> - 0.2.3-1
- Update to 0.2.3 upstream release
- Resolves: rhbz#2290476

* Wed Feb 14 2024 Packit <hello@packit.dev> - 0.2.2-1
- [packit] 0.2.2 upstream release
- Resolves rhbz#2264210

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 Packit <hello@packit.dev> - 0.2.1-1
- [packit] 0.2.1 upstream release
- Resolves rhbz#2257771

* Fri Jan 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.2.0-1
- Update to 0.2.0 (close RHBZ#2255529)

* Wed Jan 03 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.9-2
- Assert that a license file is present in the .dist-info directory

* Wed Aug 23 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.9-1
- Update to 0.1.9 (close RHBZ#2233612)

* Thu Aug 03 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.8-1
- Update to 0.1.8 (close RHBZ#2221287)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Python Maint <python-maint@redhat.com> - 0.1.7-2
- Rebuilt for Python 3.12

* Fri Mar 17 2023 Benjamin A. Beasley <code@musicinmybrain.net> - 0.1.7-1
- Update to 0.1.7 (close RHBZ#2179363) and use SPDX
- Port to pyproject-rpm-macros
- General spec-file modernization
- Convert License field to SPDX

* Fri Mar 17 2023 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.1.2-12
- Backport upstream change for build with numpy 1.24

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.1.2-9
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.2-6
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.9

* Wed Apr 29 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 0.1.2-2
- Added dist to release tag

* Wed Apr 29 2020 Aniket Pradhan <major AT fedoraproject DOT org> - 0.1.2-1
- Version update to v0.1.2
- Use pytest instead of nose

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-8.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.0-7.git1a1849d
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.0-6.git1a1849d
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-5.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-4.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jan 04 2019 Miro Hrončok <mhroncok@redhat.com> - 0.1.0-3.git1a1849d
- Subpackage python2-h5io has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.0-2.git1a1849d
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Mon Jul 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.0-1.git1a1849d
- Update to latest snapshot

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.1-0.10.gita73bba4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.9.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.8.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.7.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1-0.6.gita73bba4
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-0.5.gita73bba4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1-0.4.gita73bba4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1-0.3.git173bba4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Sun Nov 08 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1-0.2.gita73bba4
- Massage versioning a bit

* Sun Nov 08 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.1-0.1.gita73bba4
- Initial package

## END: Generated by rpmautospec
